%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name ruamel.yaml.clib
%define version 0.2.0
%define unmangled_version 0.2.0
%define unmangled_version 0.2.0
%define release 1

Summary: C version of reader, parser and emitter for ruamel.yaml derived from libyaml
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}ruamel.yaml.clib
Version: %{version}
Release: %{release}
Source0: ruamel.yaml.clib-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/ruamel.yaml.clib-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Anthon van der Neut <a.van.der.neut@ruamel.eu>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://bitbucket.org/ruamel/yaml.clib


%description

ruamel.yaml.clib
================

``ruamel.yaml.clib`` is the C based reader/scanner and emitter for ruamel.yaml

:version:       0.2.0
:updated:       2019-09-26
:documentation: http://yaml.readthedocs.io
:repository:    https://bitbucket.org/ruamel/yaml.clib
:pypi:          https://pypi.org/project/ruamel.yaml.clib/

This package was split of from ruamel.yaml, so that ruamel.yaml can be build as  
a universal wheel. Apart from the C code seldom changing, and taking a long
time to compile for all platforms, this allows installation of the .so
on Linux systems under /usr/lib64/pythonX.Y (without a .pth file or a ruamel 
directory) and the Python code for ruamel.yaml under /usr/lib/pythonX.Y.


.. image:: https://bestpractices.coreinfrastructure.org/projects/1128/badge
   :target: https://bestpractices.coreinfrastructure.org/projects/1128

.. image:: https://bitbucket.org/ruamel/yaml/raw/default/_doc/_static/license.svg
   :target: https://opensource.org/licenses/MIT
 



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n ruamel.yaml.clib-%{unmangled_version} -n ruamel.yaml.clib-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
env CFLAGS="$RPM_OPT_FLAGS" python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}
cat INSTALLED_FILES | grep -v "__init__" | grep -v "LICENSE" > INSTALLED_FILES_WITHOUT_PYCACHE

%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES_WITHOUT_PYCACHE
%defattr(-,root,root)
